commit:     46ad5f2c2f4e5257c67d42350bac3519a93f598b
Author:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 23 18:17:27 2017 +0000
Commit:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
CommitDate: Mon Jan 23 18:17:57 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46ad5f2c

app-crypt/gnupg: revert removal of gnupg-2.0 missing stable

Package-Manager: portage-2.3.0
RepoMan-Options: --force

 app-crypt/gnupg/Manifest            |   1 +
 app-crypt/gnupg/gnupg-2.0.28.ebuild | 167 ++++++++++++++++++++++++++++++++++++
 2 files changed, 168 insertions(+)

diff --git a/app-crypt/gnupg/Manifest b/app-crypt/gnupg/Manifest
index 457703c..06d5e99 100644
--- a/app-crypt/gnupg/Manifest
+++ b/app-crypt/gnupg/Manifest
@@ -1,3 +1,4 @@
 DIST gnupg-1.4.21.tar.bz2 3689305 SHA256 
6b47a3100c857dcab3c60e6152e56a997f2c7862c1b8b2b25adf3884a1ae2276 SHA512 
619e0fbc10310c7e55d129027e2945791fe91a0884b1d6f53acb4b2e380d1c6e71d1a516a59876182c5c70a4227d44a74ceda018c343b5291fa9a5d6de77c984
 WHIRLPOOL 
eb596be347dd90be93d381fe405e50f5808160b546705493bc9d817d521ea236a2374648e6c2cab396f54bba74de4caf2b92e894df3a17aa339f014ef8cc8802
+DIST gnupg-2.0.28.tar.bz2 4435779 SHA256 
ce092ee4ab58fd19b9fb34a460c07b06c348f4360dd5dd4886d041eb521a534c SHA512 
7e786fe0648d5ea453f9c7524fec4bd7d5eec26d28f723acf3cb2f7ec9c400c339f0926a179411876c3f8e08b06942dcec643dc930caf58239bbd4932f4bd3c1
 WHIRLPOOL 
ccf7427e54a545914e89677618055a114b4c9dc4db48669a2fc726fced98475df4ed27c93bd180f1250d147111ee663c736cdf4e1d8afdc40ed967cdffd0eb66
 DIST gnupg-2.1.15.tar.bz2 5723689 SHA256 
c28c1a208f1b8ad63bdb6b88d252f6734ff4d33de6b54e38494b11d49e00ffdd SHA512 
69c943e853e1a37e8b17b3bc34e1503f14bc8f189fa9f3ac6644bcc98ccce6eaef64da20ff9dd1c8de3a7789ea577167984ccf3ac286cac50752e6f7c2f42ab1
 WHIRLPOOL 
4c5a8cd4e8b7196f4a355ce7739cf6e23c43817414e10bbba219117e4e51c4c618ffb5dbce27cb836a2171eda58e003d5ddf78d4af09a813c2a1729963413151
 DIST gnupg-2.1.17.tar.bz2 5970042 SHA256 
c5dc54db432209fa8f9bdb071c8fb60a765ff28e363150e30bdd4543160243cb SHA512 
f826100be4f0480b9a2c68a51dd668e0fd551fd250a37dbe906fe5a89c658b4861a0567038bf687473de9901e268809c1b8d8c200008e082a3ace189d9829b9c
 WHIRLPOOL 
d70fa5ae0a90d5c9fa594d79cdb9bc1528b7db1a35d23ee7d3f047b4fb275d02bd8f5e6ccb0a798fedf539c8c384d3713295785183266de43fe3cb978c47916b

diff --git a/app-crypt/gnupg/gnupg-2.0.28.ebuild 
b/app-crypt/gnupg/gnupg-2.0.28.ebuild
new file mode 100644
index 00000000..32ba69f
--- /dev/null
+++ b/app-crypt/gnupg/gnupg-2.0.28.ebuild
@@ -0,0 +1,167 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils flag-o-matic toolchain-funcs
+
+DESCRIPTION="The GNU Privacy Guard, a GPL pgp replacement"
+HOMEPAGE="http://www.gnupg.org/";
+SRC_URI="mirror://gnupg/gnupg/${P}.tar.bz2"
+# SRC_URI="ftp://ftp.gnupg.org/gcrypt/${PN}/${P}.tar.bz2";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 
~ppc-aix ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux 
~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="bzip2 doc ldap nls mta readline static selinux smartcard tools usb"
+
+COMMON_DEPEND_LIBS="
+       >=dev-libs/libassuan-2
+       >=dev-libs/libgcrypt-1.5:0=
+       >=dev-libs/libgpg-error-1.11
+       >=dev-libs/libksba-1.0.7
+       >=dev-libs/pth-1.3.7
+       >=net-misc/curl-7.10
+       sys-libs/zlib
+       bzip2? ( app-arch/bzip2 )
+       readline? ( sys-libs/readline )
+       smartcard? ( usb? ( virtual/libusb:0 ) )
+       ldap? ( net-nds/openldap )"
+COMMON_DEPEND_BINS="app-crypt/pinentry"
+
+# Existence of executables is checked during configuration.
+DEPEND="${COMMON_DEPEND_LIBS}
+       ${COMMON_DEPEND_BINS}
+       static? (
+               >=dev-libs/libassuan-2[static-libs]
+               >=dev-libs/libgcrypt-1.4:0=[static-libs]
+               >=dev-libs/libgpg-error-1.11[static-libs]
+               >=dev-libs/libksba-1.0.7[static-libs]
+               >=dev-libs/pth-1.3.7[static-libs]
+               >=net-misc/curl-7.10[static-libs]
+               sys-libs/zlib[static-libs]
+               bzip2? ( app-arch/bzip2[static-libs] )
+       )
+       nls? ( sys-devel/gettext )
+       doc? ( sys-apps/texinfo )"
+
+RDEPEND="!static? ( ${COMMON_DEPEND_LIBS} )
+       ${COMMON_DEPEND_BINS}
+       mta? ( virtual/mta )
+       !<=app-crypt/gnupg-2.0.1
+       selinux? ( sec-policy/selinux-gpg )
+       nls? ( virtual/libintl )"
+
+REQUIRED_USE="smartcard? ( !static )"
+
+src_prepare() {
+       epatch "${FILESDIR}/${PN}-2.0.17-gpgsm-gencert.patch"
+       epatch_user
+}
+
+src_configure() {
+       local myconf=()
+
+       # 'USE=static' support was requested:
+       # gnupg1: bug #29299
+       # gnupg2: bug #159623
+       use static && append-ldflags -static
+
+       if use smartcard; then
+               myconf+=(
+                       --enable-scdaemon
+                       $(use_enable usb ccid-driver)
+               )
+       else
+               myconf+=( --disable-scdaemon )
+       fi
+
+       if use elibc_SunOS || use elibc_AIX; then
+               myconf+=( --disable-symcryptrun )
+       else
+               myconf+=( --enable-symcryptrun )
+       fi
+
+       # glib fails and picks up clang's internal stdint.h causing weird errors
+       [[ ${CC} == *clang ]] && export 
gl_cv_absolute_stdint_h=/usr/include/stdint.h
+
+       econf \
+               --docdir="${EPREFIX}/usr/share/doc/${PF}" \
+               --enable-gpg \
+               --enable-gpgsm \
+               --enable-agent \
+               --enable-large-secmem \
+               --without-adns \
+               "${myconf[@]}" \
+               $(use_enable bzip2) \
+               $(use_enable nls) \
+               $(use_enable mta mailto) \
+               $(use_enable ldap) \
+               $(use_with readline) \
+               CC_FOR_BUILD="$(tc-getBUILD_CC)"
+}
+
+src_compile() {
+       default
+
+       if use doc; then
+               cd doc
+               emake html
+       fi
+}
+
+src_install() {
+       default
+
+       use tools && dobin tools/{convert-from-106,gpg-check-pattern} \
+               
tools/{gpg-zip,gpgconf,gpgsplit,lspgpot,mail-signed-keys,make-dns-cert}
+
+       emake DESTDIR="${D}" -f doc/Makefile uninstall-nobase_dist_docDATA
+       rm "${ED}"/usr/share/gnupg/help* || die
+
+       dodoc ChangeLog NEWS README THANKS TODO VERSION doc/FAQ doc/DETAILS \
+               doc/HACKING doc/TRANSLATE doc/OpenPGP doc/KEYSERVER doc/help*
+
+       dosym gpg2 /usr/bin/gpg
+       dosym gpgv2 /usr/bin/gpgv
+       dosym gpg2keys_hkp /usr/libexec/gpgkeys_hkp
+       dosym gpg2keys_finger /usr/libexec/gpgkeys_finger
+       dosym gpg2keys_curl /usr/libexec/gpgkeys_curl
+       if use ldap; then
+               dosym gpg2keys_ldap /usr/libexec/gpgkeys_ldap
+       fi
+       echo ".so man1/gpg2.1" > "${ED}"/usr/share/man/man1/gpg.1
+       echo ".so man1/gpgv2.1" > "${ED}"/usr/share/man/man1/gpgv.1
+
+       dodir /etc/env.d
+       echo "CONFIG_PROTECT=/usr/share/gnupg/qualified.txt" >> 
"${ED}"/etc/env.d/30gnupg
+
+       if use doc; then
+               dohtml doc/gnupg.html/* doc/*.png
+       fi
+}
+
+pkg_postinst() {
+       elog "If you wish to view images emerge:"
+       elog "media-gfx/xloadimage, media-gfx/xli or any other viewer"
+       elog "Remember to use photo-viewer option in configuration file to 
activate"
+       elog "the right viewer."
+       elog
+
+       if use smartcard; then
+               elog "To use your OpenPGP smartcard (or token) with GnuPG you 
need one of"
+               use usb && elog " - a CCID-compatible reader, used directly 
through libusb;"
+               elog " - sys-apps/pcsc-lite and a compatible reader device;"
+               elog " - dev-libs/openct and a compatible reader device;"
+               elog " - a reader device and drivers exporting either PC/SC or 
CT-API interfaces."
+               elog ""
+               elog "General hint: you probably want to try installing 
sys-apps/pcsc-lite and"
+               elog "app-crypt/ccid first."
+       fi
+
+       ewarn "Please remember to restart gpg-agent if a different version"
+       ewarn "of the agent is currently used. If you are unsure of the gpg"
+       ewarn "agent you are using please run 'killall gpg-agent',"
+       ewarn "and to start a fresh daemon just run 'gpg-agent --daemon'."
+}

Reply via email to